searchNodes=[{"ref":"BasicAuthentication.html","title":"BasicAuthentication","type":"module","doc":"Submit and verify client credentials using Basic authentication. The &#39;Basic&#39; authentication scheme is specified in RFC 7617 (which obsoletes RFC 2617). This scheme is not a secure method of user authentication, see https://tools.ietf.org/html/rfc7617#section-4 The HTTP header authorization is actually used for authentication. Function names in this project use the term authentication where possible."},{"ref":"BasicAuthentication.html#decode_authentication/1","title":"BasicAuthentication.decode_authentication/1","type":"function","doc":"Decode an authorization header to client credentials. Examples iex&gt; decode_authentication(&quot;Basic QWxhZGRpbjpvcGVuIHNlc2FtZQ==&quot;) {:ok, {&quot;Aladdin&quot;, &quot;open sesame&quot;}} iex&gt; decode_authentication(&quot;Basic !!BAD&quot;) {:error, :unable_to_decode_user_pass} iex&gt; decode_authentication(&quot;Bearer my-token&quot;) {:error, :unknown_authentication_method}"},{"ref":"BasicAuthentication.html#encode_authentication/2","title":"BasicAuthentication.encode_authentication/2","type":"function","doc":"Encode client credentials to an authorization header value NOTE: The user-id and password MUST NOT contain any control characters The user-id must not contain a : -&gt; {ok, headerstring}"},{"ref":"BasicAuthentication.html#encode_challenge/2","title":"BasicAuthentication.encode_challenge/2","type":"function","doc":""},{"ref":"Raxx.BasicAuthentication.html","title":"Raxx.BasicAuthentication","type":"module","doc":"Helpers for working with Basic authentication in Raxx applications. Tests import functions from Raxx, e.g. get_header."},{"ref":"Raxx.BasicAuthentication.html#fetch_basic_authentication/1","title":"Raxx.BasicAuthentication.fetch_basic_authentication/1","type":"function","doc":"Extract a clients credentials submitted using the &#39;Basic&#39; HTTP authentication scheme. If authentication of request is not set of invalid an error is returned. Examples iex&gt; request(:GET, &quot;/&quot;) ...&gt; |&gt; set_header(&quot;authorization&quot;, &quot;Basic QWxhZGRpbjpvcGVuIHNlc2FtZQ==&quot;) ...&gt; |&gt; fetch_basic_authentication() {:ok, {&quot;Aladdin&quot;, &quot;open sesame&quot;}} iex&gt; request(:GET, &quot;/&quot;) ...&gt; |&gt; fetch_basic_authentication() {:error, :no_authorization_header}"},{"ref":"Raxx.BasicAuthentication.html#secure_compare/2","title":"Raxx.BasicAuthentication.secure_compare/2","type":"function","doc":"Compares the two binaries in constant-time to avoid timing attacks. See: http://codahale.com/a-lesson-in-timing-attacks/"},{"ref":"Raxx.BasicAuthentication.html#set_basic_authentication/3","title":"Raxx.BasicAuthentication.set_basic_authentication/3","type":"function","doc":"Add a clients credentials to a request to authenticate it, using the &#39;Basic&#39; HTTP authentication scheme. This function will raise an exception if either user_id or password is invalid, see BasicAuthentication.encode_authorization for details. Examples iex&gt; request(:GET, &quot;/&quot;) ...&gt; |&gt; set_basic_authentication(&quot;Aladdin&quot;, &quot;open sesame&quot;) ...&gt; |&gt; get_header(&quot;authorization&quot;) &quot;Basic QWxhZGRpbjpvcGVuIHNlc2FtZQ==&quot;"},{"ref":"Raxx.BasicAuthentication.html#unauthorized/1","title":"Raxx.BasicAuthentication.unauthorized/1","type":"function","doc":"Generate a response to a request that failed to authenticate. The response will contain a challenge for the client in the www-authenticate header. Use an unauthorized response to prompt a client into providing basic authentication credentials. Options realm: describe the protected area. default &quot;Site&quot; charset: default &quot;UTF-8&quot; Notes The only valid charset is UTF-8; https://tools.ietf.org/html/rfc7617#section-2.1. A nil can be provided to this function to omit the parameter. Validation should be added for the parameter values to ensure they only accept valid values."}]